API Reference

Programmatically manage interviews, retrieve dossiers, and sync data via our RESTful endpoints.

Create Interview Session

POST

Endpoint: https://api.platform.ai/v1/interviews

Request Body

{
  "candidate_email": "jane@example.com",
  "candidate_name": "Jane Doe",
  "role_id": "role_992xabc",
  "config": {
    "technical_rigor": 85,
    "language_allowed": ["python", "go", "rust"],
    "duration_minutes": 60
  }
}

Response (200 OK)

{
  "id": "int_445f1zz",
  "status": "pending",
  "invite_url": "https://platform.ai/join/int_445f1zz",
  "expires_at": 1718128800
}

Retrieve Candidate Dossier

GET

Endpoint: https://api.platform.ai/v1/interviews/{id}/dossier

{ "id": "int_445f1zz", "overall_score": 92.5, "confidence_interval": 0.98, "telemetry_flags": [], "dimensions": { "algorithmic_complexity": 95, "communication": 90, "edge_cases": 92 }, "executive_summary": "Jane demonstrated exceptional proficiency in system design and optimally solved the LRU cache problem...", "replay_url": "https://platform.ai/replay/int_445f1zz" }